SecurityTracker.com
Keep Track of the Latest Vulnerabilities
with SecurityTracker!
    Home    |    View Topics    |    Search    |    Contact Us    |   

SecurityTracker
Archives


 
Sign Up
Sign Up for Your FREE Weekly SecurityTracker E-mail Alert Summary
Instant Alerts
Buy our Premium Vulnerability Notification Service to receive customized, instant alerts
Affiliates
Put SecurityTracker Vulnerability Alerts on Your Web Site -- It's Free!
Partners
Become a Partner and License Our Database or Notification Service
Report a Bug
Report a vulnerability that you have found to SecurityTracker
bugs
@
securitytracker.com






Category:   Application (Generic)  >   Wireshark Vendors:   Wireshark.org
Wireshark Buffer Overflow in DECT Dissector Lets Remote Users Execute Arbitrary Code
SecurityTracker Alert ID:  1025389
SecurityTracker URL:  http://securitytracker.com/id/1025389
CVE Reference:   CVE-2011-1591, CVE-2011-1592   (Links to External Site)
Updated:  May 16 2011
Original Entry Date:  Apr 19 2011
Impact:   Denial of service via network, Execution of arbitrary code via network, User access via network
Fix Available:  Yes  Vendor Confirmed:  Yes  
Version(s): 1.4.0 - 1.4.4
Description:   Two vulnerabilities were reported in Wireshark. A remote user can execute arbitrary code on the target system. A remote user can cause denial of service conditions.

A remote user can send specially crafted data to trigger a buffer overflow in the DECT dissector and execute arbitrary code on the target system [CVE-2011-1591]. The code will run with the privileges of the target service. Paul Makowski from SEI/CERT reported this vulnerability.

A remote user can send specially crafted data to cause the target NFS dissector to crash [CVE-2011-1592]. Only Windows-based systems are affected.

Impact:   A remote user can execute arbitrary code on the target system.

A remote user can cause the target dissector to crash.

Solution:   The vendor has issued a fix (1.4.5).

The vendor's advisory is available at:

http://www.wireshark.org/security/wnpa-sec-2011-06.html

Vendor URL:  www.wireshark.org/security/wnpa-sec-2011-06.html (Links to External Site)
Cause:   Boundary error
Underlying OS:   Linux (Any), UNIX (Any), Windows (Any)

Message History:   None.


 Source Message Contents

Date:  Tue, 19 Apr 2011 06:18:46 +0000
Subject:  Wireshark


http://www.wireshark.org/security/wnpa-sec-2011-06.html

wnpa-sec-2011-06 

The NFS dissector could crash on Windows. (Bug 5209)

Paul Makowski from SEI/CERT discovered that the DECT dissector could overflow a 
buffer. He verified that this could allow remote code execution on many platforms.

 
 


Go to the Top of This SecurityTracker Archive Page





Home   |    View Topics   |    Search   |    Contact Us

Copyright 2014, SecurityGlobal.net LLC